INTRODUCTION

The Design Explorer is a unique tool in Proteus which provides a windows style user interface to allow you to both navigate and inspect your schematic at any stage in the design process. It includes the ability not only to interrogate the current state of the schematic to verify connectivity, packagings etc. but also to navigate to items of interest on both the schematic and the PCB. It is also the control centre for managing Assembly variants for your design and contains a powerful search and filtering system that helps you make block edits to component properties quickly.

Design Explorer icon

The Design Explorer can show you information about the schematic in two ways:

Partslist View

This view provides a physical representation of the schematic, showing you sheets, hierarchies, components and component pins. You can navigate both across a design (if, for example you have a multi-sheet design with more than one root sheet) and down a design (moving through a design hierarchy or drilling down from a component to look at a listing of the component pins).

Netlist View

This view provides a representation of the connectivity of the schematic, showing you a listing of all the nets on the schematic and all the pins connected to the selected net.

See Also:

Schematic Tutorial : Design Explorer


GUIDED TOUR

When you launch the Design Explorer it will open in a new tab. Like any other module in Proteus 8 you can drag and drop it into free space on your monitor(s) to separate it and create a dual view. Before looking in more detail at the functionality of the Design Explorer we should familiarize ourselves with the window itself. This actually fairly simple and consists of a toolbar and two separate panes.

Toolbar

The toolbar contains eight icons as shown below:

ICON | DESCRIPTION
 | This Icon Switches the Design Explorer in to Physical Partslist view.
 | This Icon Switches the Design Explorer in to Physical Netslist view.
 | Outline mode opens up the tree so all sheets are visible.
 | Much like the Windows explorer equivalent, this icon moves the Design Explorer view up a level in the design hierarchy. It is therefore disabled when the view is at root level
 | This icon launches the a search dialogue form allowing the user to quickly find parts, nets or sheets within the Design Explorer.
 | This Icon links the design explorer to the Schematic application and allows you to quickly navigate to parts, nets or sheets in the Schematic. The action of the icon is dependant on what is currently selected in the Design Explorer.
 | This Icon links the design explorer to the PCB application and allows you to quickly navigate to parts, nets or sheets in the layout. The action of the icon is dependant on what is currently selected in the Design Explorer. This icon is only enabled when the layout is open with the corresponding project loaded, and where all changes in the schematic have been netlisted through to the correct layout file.
 | Live Cross-Probing mode. Best suited to side-by-side viewing setups.

Left Hand Pane

The left hand pane of the design explorer is used primarily for navigation. In Partslist View it provides a 'tree-view' of the schematic from root sheets, through hierarchy modules and down to individual components whereas in Netlist View it provides a 'tree-view' listing of all the nets on the schematic. In outline view it will display the sheet hierarchy of the design as a tree view but hide the components inside sheets.

Regardless of which view we are in, it works in the same way as windows explorer (or indeed the contents pane on the left hand side of this help document) where clicking the mouse on an item on the left hand pane causes the right hand pane to update with detailed information on the contents of the item you have clicked on.

The Left hand pane of the Design Explorer in the Partslist View, Netlist View and the Outline View.

Right Hand Pane

The right hand pane of the design explorer provides detailed related to the item selected in the left hand pane. So, for example, selecting a net in the left hand pane (netlist view) will display information on all the pins on that net in the right hand pane and selecting a sheet in the left hand pane (partslist view) will display information on all the components (and potentially child sheets) on that sheet in the right hand pane.

The right hand side of the Design Explorer when opened on a sheet in Partslist View

The information displayed in the right hand pane is dynamic and changes according to what is displayed - this allows us for example to display package information when components are listed in the right hand pane and routing strategies where nets are displayed in the right hand pane.

Icon Identifiers

The design explorer uses several icons to visually identify and distinguish between different items in a listing. These are detailed below :

ICON | DESCRIPTION
 | Represents a top level sheet in ISIS.
 | Represents a Child sheet, Sub-circuit or a hierarchy block in ISIS.
 | Represents a single component on the schematic.
 | Represents a single pin on the schematic.
 | Represents a terminal on the schematic.
 | Represents a standard net in ISIS.
 | Represents a net that is design global in ISIS.
 | Represents a net containing only one pin in ISIS. Note that this is not necessarily an error as a pin in an IC that is unconnected will be identified as a single pin net but may be perfectly legitimate.


DESIGN NAVIGATION

Navigation of the design explorer centers around the pins on schematic devices. These provide the common link between a netlist view (looking at all the connections to a pin on a device) and the physical view (looking at all the physical pins on a device). The act of 'drilling down' for closer inspection is both simple and intuitive, making it as easy to interrogate a single connection as it is to examine an entire sheet.

When opened initially (from the Design Explorer command - default shortcut key ALT+X) we are shown a Physical Partslist view of the current sheet as shown below :

Opening the Design Explorer in Physical Partslist View

The left hand pane shows a list of all the root sheets on the schematic and can be expanded in 'tree like' fashion by clicking on the title of the sheet. On a flat sheet (i.e. one which contains no subsheets) this displays a list of components on the sheet, while in a root sheet which contains a hierarchy (i.e. the sheet contains one or more subsheets) the tree will expand to show the subsheets and root components. The subsheets can themselves then be expanded in the same way, allowing you to quickly and easily navigate through even the most complex of designs.

Navigating a multi-sheet hierarchical design in the Design Explorer

The right hand pane provides more information on the components contained in the currently selected sheet or subsheet such as their type, value and packaging. For a sheet containing a hierarchy the child sheets are also displayed in this pane. The contents update as you navigate via the left hand pane and possible errors such as a missing package are highlighted in red.

We can drill down even further to look at the pins on a device by clicking on a component part on the left hand pane. When we do this the right hand pane will change to display information on the pins of that component including their electrical type, number and the net on which they are on.

Components are listed on the left hand pane and their associated pins on the right.

The net column will either be a named net (where the net is connected to a terminal or has a wire label on it) or a net of the form #0xxxx. These hash nets simply mean that the net is unnamed and ISIS has therefore designated it a unique identifier. More information on naming nets can be found here.

Having drilled down several levels you can traverse back up the design hierarchy simply by using the up icon at the top of the design explorer.

While we have navigated across and down the schematic hierarchy via the left hand pane, we can also use the right hand pane to navigate 'downwards' from the current view. So, if the current view on the right hand pane contains both subsheets and components a double click on a subsheet will navigate into that sheet (thereby updating the display to show you a list of components inside that sheet) while a double click on a component will update the display to show you a list of the pins on that component.

This is particularly significant where we have a list of pins on the right hand side. No further navigation is possible via the left hand pane (as we have drilled down as far as we can) but a double on a pin on the right hand pane has special meaning. Specifically, it will switch the design explorer into netlist view, displaying the pins net on the left hand pane and all the pins on that net in the right hand pane.

Double clicking on a pin in the right hand pane switches into netlist view and displays all pins on the same net as the actioned pin

This is both extremely clever and extremely powerful, allowing us not only to navigate through a physical design but also to examine the nets and connections on the schematic.

Notice that the left hand pane has updated to display a listing of all the nets on the schematic. Clicking on a net in the left hand pane will show a listing of all the pins on that net in the right hand pane together with information on their electrical type, number and the sheet on which the parent component resides.

A pin listing for the GND net in the Design Explorer

Finally, double clicking on a pin in netlist view will switch the design explorer back in to partslist view, showing you all the pins on the device that the actioned pin is on.

It follows therefore that we can navigate the design either in Netlist view or in Partslist view to whatever granularity we choose and that actioning pins allows us to seamlessly switch between views. While in this discussion, \we started in Partslist view, drilled down to the pins and then switched to netlist view we can switch to and from netlist and partslist views at any time via the partslist and netlist view icons or their keyboard shortcuts (ALT+P and ALT+N respectively).

Using the Find dialogue to Navigate

To date we have used the windows directly to traverse the schematic but, if we know in advance exactly what we are looking for, we can use the find dialogue to quickly locate it. The Find Dialogue is launched via the find icon on the toolbar at the top of the design explorer and is extremely straightforward to use. For example, below we have configured it to find the VSS net on the schematic.

Locating the VSS net via the Find Dialogue in the Design Explorer

The find dialogue form can also be launched from the context menu by right clicking anywhere in the design explorer window or via the CTRL+F shortcut key.

Pin / Label Search

If you need to fins a specific pin or a wire label, you can check the 'Match against Net' check box, set the drop down boxes as required to narrow down the search accordingly, enter the name of the pin or label and click on search:

Then you can navigate to the result by right clicking on the net and select your required option:


SCHEMATIC INTEGRATION

While it is undoubtedly useful to navigate the schematic as we've shown in the previous section the real power of the design explorer comes from it's ability to interact with the schematic, locating and tagging specified items of interest. The following types of schematic interaction are available :

Navigating to a Schematic Sheet

This action allows you to navigate between sheets on a complex multi-sheet design.

To navigate to a particular sheet on a schematic:

  1. Launch the Design Explorer.
  2. Ensure that you are in Partslist View.

  3. Right click on the sheet you want to navigate to and select the Show Schematic Sheet option from the resulting context menu. If you want to go to a child sheet you must first click on the parent sheet to expand it. For deeply nested sheets you may find it quicker to use the find tool.

  4. The design explorer will minimise to the taskbar and the schematic will display the designated sheet.

Navigating to a Schematic Part

To navigate to a part while browsing:

  1. Right click on the part of interest and select the Goto Schematic Part menu option from the resulting context menu.

  2. The design explorer will minimise to the taskbar and the schematic will zoom in around the now highlighted part.

Note that you can navigate to a schematic part either by right clicking on a component or by right clicking on a pin, the latter providing a useful way to find a part while in netlist mode. You can also use the ISIS icon at the top of the Design Explorer as a shortcut when a component is selected.

To navigate to a part when you know its reference:

  1. Launch the Design Explorer (Default shortcut key ALT+X)
  2. Launch the find dialogue from the top of the design explorer and type the reference into the edit field.
  3. Follow the steps outlined in the case above to navigate to the part.

While a perfectly adequate method for finding a part, the Search and Tag command provides a more comprehensive facility for locating parts (although the design explorer is definitely the tool of choice for net location) and may be a better option in certain situations.

Navigating to a Schematic Net

This action will highlight the specified net, tagging all wires on that net in the current sheet.

To tag and show a schematic net:

  1. Make sure you are in Netlist Mode or are at the level where you have a pin display on the right hand pane.
  2. Right click, either on a pin if at that level, or on a net and select the Goto Schematic Net option from the resulting context menu.

  3. The design explorer will minimise to the taskbar and all wires on the specified net will be tagged on the current sheet.

See the section on examples below for a walkthrough on performing more practical tasks with the design explorer.


PCB INTEGRATION

In addition to interacting with the schematic you can also use the design explorer to interact with the PCB layout, cross-probing between schematic component and PCB footprint or highlighting a net on the PCB corresponding to connectivity in the schematic. This is extremely valuable both during the revision and review process and also as a verification tool during project design.

In order to interact with the PCB the following conditions must be met:

  • ARES must be open on the desktop with the layout corresponding to the schematic loaded.
  • All changes to the schematic must have been netlisted through to the PCB - that is, the schematic and the PCB must be synchronised prior to launching the design explorer to cross-probe.

Additionally, it should be obvious that cross-probing to a PCB footprint where that footprint has not yet been placed on the PCB will fail!

You can action a cross-probe in one of three ways:

1. Right click on the schematic component and select 'Show in PCB Layout' from the resulting context menu.

2. From Design Explorer, click on the part or net that you want to view in the PCB package, make sure that the Cross Probe icon is selected and click on the ARES tab.

3. From Design Explorer, right click on the part of net that you want to view in the PCB package and then select either Show PCB Part or Show PCB Net as appropriate from the resulting context menu.

If the ARES icon on the menu option on the context menu is disabled then one of the criteria described above has not been met.

Group Column

There might be a time where you are required to place PCB components in certain areas of the board. This can be done by assigning components to a group and then using the Auto Placer in the PCB Layout to place these groups.

For more information see the Autoplacement section in the ARES help

Placement Column

The placement column provides information on where or whether the component is placed on the PCB. This is not an editable field, if you need a package on a differnt layer you must change it in the PCB Layout.


ASSEMBLY VARIANTS

Introduction

In the Design Explorer there is the ability to add Assembly Variants / Design Variants for manufacture. This allows you to have one schematic which will have components included or excluded per variant of the board based on their 'fitted' or 'not fitted' status. For example a board might be produced for a car radio where some models of the car will have bluetooth and where some will not, but the same circuit board is used for all models.

Note that Proteus starts with one variant called BASE DESIGN. This is a variant that will include ALL components placed. Parts in the BASE DESIGN variant cannot be removed. If you need parts removed then you will need to create a new design variant.

This is explained in full in the Schematic Help

Adding a Variant

1. From the Variant menu, click on Add Variant and give the variant a name and click on OK:

2. The variant column will now be visible:

Removing a Variant

Go to the Variant menu and click on Remove Variant. Select the variant that you wish to remove. Note that once it is deleted, you wil have to add it again from scratch should you need it back.

Removing components from a variant

By default, all components are added to a variant. It is up to the user to remove the non required components. To remove a component(s) from a variant, simply click on the tick to make it in to a cross and then you must click on 'Apply Changes' to finalize the change:

Removing a Capacitor from the Bluetooth variant but keeping it in the USB variant

If you wish to remove multiple components from a variant. You can do so by dragging a 'cross' downwards and it will set each box to be the same as you rag over it. This works similarly to MS Excel:

When components are removed from a variant, and that variant is selected in the variants drop down box on the toolbar, their references will be greyed out indicating which components have been removed:


Live Cross-Probing

You can automate navigation to both schematic and layout modules by switching on the live cross-probing mode.

When enabled the clicking on an component in Design Explorer automatically tags the component part on the schematic and/or the footprint on the layout.

The difference between live mode and those described above is that there is no automatic switch of tabs in automatic mode. The most useful way to cross-probe in this way is therefore to detach the design explorer from the frame containing the schematic/layout (drag the tab and drop it). With the design explorer is a separate frame you can then click on a component and view the corresponding schematic/layout.

See Also:

ISIS Manual : Context Menu Cross Probing


EXAMPLES

The Design Explorer contains a wealth of functionality as described in the preceding sections. To help clarify the operation of the design explorer the following are some practical examples of the type of things you may do while working on a project.

To check the design for unpackaged parts :

  1. Launch the Design Explorer in Physical Partslist View.
  2. Navigate through the sheets via the tree view on the left hand pane.
  3. Parts without a package will have a red 'missing'' in the package column.

Missing Packages are highlighted in the Design Explorer

To examine one pin nets for possible connectivity errors:

  1. Launch the Design Explorer and switch to Physical Netlist View.
  2. All nets on the current sheets will be shown on the right hand pane. One pin nets are identified both by a separate icon and by the text 'single pin net' in the Net Type column.

  3. Right click on a single pin net in the right hand pane and select goto schematic net from the resulting context menu. The Design Explorer will minimise and the schematic will zoom in around the now selected pin which is on the net.

  4. Click on the Design Explorer in the status bar at the bottom of the desktop to relaunch and repeat step 3 as required.

To highlight the ground net on the current sheet:

  1. Launch the Design Explorer in ISIS and switch to Physical Netlist View.
  2. Select the sheet you want to view by navigating through the sheets on the left hand pane.
  3. Find the GND Net from the list of nets on the right hand pane of the design explorer.
  4. Right click on the GND Net and select Goto Schematic Net from the resulting context menu.

  5. Repeat steps 2 to 4 as required on different sheets.

To navigate to a nested child sheet on the schematic:

Launch the Design Explorer and then:

either:

  1. Right click on the selected sheet on the right hand pane and select the Show Schematic Sheet option from the resulting context menu.

Or:

2. Use the search filter to find components inside a subcircuit / nested child sheet. Select the required sheet from the Sheet drop down list, and leave everything else set to ALL or blank.

This will list all components on that sheet.

To cross probe to a PCB footprint in ARES

  1. Make sure that both the schematic and layout applications are open, have the design/layout file loaded and that they are synchronised (that is, that all changes in the schematic have been netlisted through to ARES).
  2. Launch the Design Explorer in the schematic.
  3. Make sure that you are in Physical Parts View - this is shown on the title bar of the design explorer.

  4. The right hand pane should be displaying a listing of component parts on the current schematic sheet.

  5. Right click on the schematic part of interest within this pane and you should get a context menu with an option to 'Show PCB Part'. Select this menu option and ARES will both zoom to and highlight the footprint corresponding to the component you selected.

If the 'Show PCB Part' option is grayed out then either ARES is not open, doesn't have the layout corresponding to the open schematic loaded, or the schematic and PCB are out of sync (close design explorer, re-netlist to ARES and repeat from step 2 above).

The Design Explorer is a top level window which means that it can be minimised to the system tray. It will automatically detect when the schematic has changed and will close. This is required to ensure that the information displayed in the design explorer is entirely consistent with that on the schematic.